Bug 1663906 (CVE-2018-1000886)

Summary: CVE-2018-1000886 nasm: Buffer overflow in asm/stdscan.c:130 resulting in a denial of service
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: ASSIGNED --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dominik, java-sig-commits, mizdebsk, nickc
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1663909, 1671491, 1671492    
Bug Blocks: 1663910    

Description Andrej Nemec 2019-01-07 09:52:11 UTC
A buffer overflow vulnerability was found in nasm. A specially crafted file could trigger endless macro generation and cause the application to crash.

Upstream issue:

https://bugzilla.nasm.us/show_bug.cgi?id=3392514

Comment 1 Andrej Nemec 2019-01-07 09:54:56 UTC
Created nasm tracking bugs for this issue:

Affects: fedora-all [bug 1663909]

Comment 2 Nick Clifton 2019-01-17 10:36:22 UTC
Setting devel cond nak - waiting on 2.15 release upstream.

Comment 3 Scott Gayou 2019-01-29 16:10:52 UTC
Yep. Simple segfault / denial of service. Reproducible in Red Hat Enterprise 7. Unable to reproduce on Red Hat Enterprise 5 and 6.

```
$ time nasm poc
...
poc:14: error: macro call expects terminating `)'
poc:14: error: macro call expects terminating `)'
poc:14: error: macro call expects terminating `)'
poc:14: error: interminable macro recursion
Segmentation fault

real	1m24.913s

Very low impact.